import { TechSharedModule } from '@alfa-client/tech-shared';
import { FormControlEditorAbstractComponent } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextareaComponent } from '@ods/system';
import { ValidationErrorComponent } from '../validation-error/validation-error.component';

@Component({
  selector: 'ods-textarea-editor',
  standalone: true,
  imports: [
    CommonModule,
    ReactiveFormsModule,
    TechSharedModule,
    TextareaComponent,
    ValidationErrorComponent,
  ],
  templateUrl: './textarea-editor.component.html',
})
export class TextareaEditorComponent extends FormControlEditorAbstractComponent {
  @Input({ required: true }) label: string;
  @Input() placeholder: string;
  @Input() rows: number = 10;
  @Input() required: boolean = false;

  get variant(): string {
    return this.issues.length > 0 ? 'error' : 'default';
  }
}
