import { Issue, getMessageForIssue } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { ErrorMessageComponent } from '@ods/system';

@Component({
  selector: 'ods-validation-error',
  standalone: true,
  imports: [CommonModule, ErrorMessageComponent],
  templateUrl: './validation-error.component.html',
})
export class ValidationErrorComponent {
  @Input() label: string;
  @Input() issues: Issue[];

  public message(issue: Issue): string {
    return getMessageForIssue(this.label, issue);
  }
}
