import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { FileIconComponent } from '../icons/file-icon/file-icon.component';

@Component({
  selector: 'ods-attachment-error',
  standalone: true,
  imports: [CommonModule, FileIconComponent],
  styles: [':host {@apply flex border-b border-black/25 last:border-b-0}'],
  template: `<div
    class="relative flex w-full items-start gap-3 border-b bg-background-100 px-3 py-2"
  >
    <div class="flex-shrink">
      <ods-file-icon fileType="exclamation" size="large" />
    </div>
    <div class="flex grow flex-col items-start break-all text-text">
      <p class="text-start text-sm text-error">Fehler beim Hochladen</p>
      <p class="text-xs text-ozggray-600" *ngFor="let error of errorList">{{ error }}</p>
    </div>
  </div>`,
})
export class AttachmentErrorComponent {
  @Input({ required: true }) errorList!: string[];
}
