import { CommonModule } from '@angular/common';
import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentIconComponent } from '../../icons/attachment-icon/attachment-icon.component';
import { FileUploadButtonComponent } from './file-upload-button.component';

const meta: Meta<FileUploadButtonComponent> = {
  title: 'File upload button',
  component: FileUploadButtonComponent,
  subcomponents: { AttachmentIconComponent },
  decorators: [
    moduleMetadata({
      imports: [CommonModule, FileUploadButtonComponent, AttachmentIconComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FileUploadButtonComponent>;

export const Upload: Story = {
  args: {
    text: 'Anhang hochladen',
    isLoading: false,
  },
  render: (args: FileUploadButtonComponent) => ({
    props: args,
    template: `<ods-file-upload-button ${argsToTemplate(args)}>
      <ods-attachment-icon></ods-attachment-icon>
    </ods-file-upload-button>`,
  }),
};
