/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { BackButtonComponent, SubnavigationComponent } from '@alfa-client/ui';
import { VorgangInPostfachBreadcrumbContainerComponent } from '@alfa-client/vorgang-shared-ui';
import { MockComponent } from 'ng-mocks';
import { PostfachPageMailListComponent } from './postfach-page-mail-list/postfach-page-mail-list.component';
import { PostfachPageComponent } from './postfach-page.component';

describe('PostfachPageComponent', () => {
  let component: PostfachPageComponent;
  let fixture: ComponentFixture<PostfachPageComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        PostfachPageComponent,
        MatIcon,
        MockComponent(BackButtonComponent),
        MockComponent(SubnavigationComponent),
        MockComponent(PostfachPageMailListComponent),
        MockComponent(VorgangInPostfachBreadcrumbContainerComponent),
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PostfachPageComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
