import { BescheidService, DocumentResource } from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { BescheidenFormService } from '../../bescheiden.formservice';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-result-nachricht',
  templateUrl: './vorgang-detail-bescheiden-result-nachricht.component.html',
})
export class VorgangDetailBescheidenResultNachrichtComponent implements OnInit {
  @Input() set bescheidDocumentStateResource(stateResource: StateResource<DocumentResource>) {
    if (!stateResource.loading && !stateResource.error) {
      this.formService.patchNachricht(stateResource.resource);
    }
  }

  empfaenger$: Observable<string>;
  form: FormGroup;

  readonly formServiceClass = BescheidenFormService;

  constructor(
    private readonly bescheidService: BescheidService,
    private readonly formService: BescheidenFormService,
  ) {}

  ngOnInit(): void {
    this.empfaenger$ = this.bescheidService.getEmpfaenger();
    this.form = this.formService.form;
  }
}
