import { Mock, mock } from '@alfa-client/test-utils';
import { OzgcloudDialogService } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { VorgangDetailBescheidenAbbrechenDialogComponent } from '../vorgang-detail-bescheiden-abbrechen-dialog/vorgang-detail-bescheiden-abbrechen-dialog.component';
import { VorgangDetailBescheidenAbbrechenButtonComponent } from './vorgang-detail-bescheiden-abbrechen-button.component';

describe('VorgangDetailBescheidenAbbrechenButtonComponent', () => {
  let component: VorgangDetailBescheidenAbbrechenButtonComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenAbbrechenButtonComponent>;

  let ozgcloudDialogService: Mock<OzgcloudDialogService>;

  beforeEach(async () => {
    ozgcloudDialogService = mock(OzgcloudDialogService);

    await TestBed.configureTestingModule({
      declarations: [VorgangDetailBescheidenAbbrechenButtonComponent, MatIcon],
      providers: [
        {
          provide: OzgcloudDialogService,
          useValue: ozgcloudDialogService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenAbbrechenButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('onClick', () => {
    it('should call ozgcloudDialogService.open', () => {
      component.onClick();

      expect(ozgcloudDialogService.openInCallingComponentContext).toHaveBeenCalledWith(
        VorgangDetailBescheidenAbbrechenDialogComponent,
        component.viewContainerRef,
      );
    });
  });
});
