import {
  BescheidLinkRel,
  BescheidResource,
  BescheidService,
  hasUploadNoError,
  isUploadFinished,
  UploadFileInProgress,
} from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { Observable, of, tap } from 'rxjs';
import { BescheidenFormService } from '../../../../bescheiden.formservice';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-bescheid-automatisch-erstellen',
  templateUrl: './vorgang-detail-bescheiden-bescheid-automatisch-erstellen.component.html',
})
export class VorgangDetailBescheidenBescheidAutomatischErstellenComponent {
  @Input() public bescheidDraftStateResource: StateResource<BescheidResource>;

  public createBescheidDocumentInProgress$: Observable<UploadFileInProgress> = of({
    loading: false,
  });

  public readonly bescheidLinkRel = BescheidLinkRel;

  constructor(
    private readonly bescheidService: BescheidService,
    private readonly formService: BescheidenFormService,
  ) {}

  public createBescheidDocument(): void {
    this.createBescheidDocumentInProgress$ = this.bescheidService.createBescheidDocument().pipe(
      tap((uploadFileInProgress: UploadFileInProgress) => {
        if (isUploadFinished(uploadFileInProgress) && hasUploadNoError(uploadFileInProgress)) {
          this.formService.clearNachricht();
        }
      }),
    );
  }
}
