package de.ozgcloud.alfa.common;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Configuration
@ConfigurationProperties(prefix = "ozgcloud.feature")
public class FeatureToggleProperties {

	/**
	 * Enable vorgang export(xdomea) feature.
	 */
	private boolean vorgangExport = false;

	/**
	 * Enable/Disable bescheid creation feature.
	 */
	private boolean createBescheid = false;

	/**
	 * Enable mail reply option regardless of other configuration.
	 */
	private boolean replyAlwaysAllowed = false;

	/**
	 * Enable/Disable bescheid wizard feature.
	 */
	private boolean bescheidWizard = false;
}
