package de.ozgcloud.alfa.bescheid;

import java.util.List;

import de.ozgcloud.bescheid.GrpcBescheid;
import de.ozgcloud.common.datatype.StringBasedValue;

public class GrpcBescheidTestFactory {

	public static final String ID = BescheidTestFactory.ID;
	public static final boolean BEWILLIGT = BescheidTestFactory.BEWILLIGT;
	public static final String BESCHIEDEN_AM = BescheidTestFactory.BESCHIEDEN_AM;
	public static final String BESCHEID_DOCUMENT = BescheidTestFactory.BESCHEID_DOCUMENT;
	public static final List<String> ATTACHMENTS = BescheidTestFactory.ATTACHMENTS.stream().map(StringBasedValue::toString).toList();
	public static final String NACHRICHT_TEXT = BescheidTestFactory.NACHRICHT_TEXT;
	public static final String NACHRICHT_SUBJECT = BescheidTestFactory.NACHRICHT_SUBJECT;

	public static GrpcBescheid create() {
		return createBuilder().build();
	}

	public static GrpcBescheid.Builder createBuilder() {
		return GrpcBescheid.newBuilder()
				.setId(ID)
				.setStatus(BescheidTestFactory.STATUS.toString())
				.setBewilligt(BEWILLIGT)
				.setBeschiedenAm(BESCHIEDEN_AM)
				.setBescheidDocument(BESCHEID_DOCUMENT)
				.addAllAttachments(ATTACHMENTS)
				.setNachrichtText(NACHRICHT_TEXT)
				.setNachrichtSubject(NACHRICHT_SUBJECT)
				.setSendBy(BescheidTestFactory.SEND_BY.toString());
	}
}
